Subject: 421 Service not available?

From: Greg Fischer <[email-masked]>
Date: Tue, 2 Jul 1996 16:55:50 -0400 (EDT)

I have searched through the archives and found nothing that 
solved this problem, maybe you can help.  Given the following config:

 FTP server (Version wu-2.4(2)

ftpaccess file:
class   all   real,guest,anonymous  *
email root@localhost
guestgroup guest1
loginfails 5
readme  README*    login
readme  README*    cwd=*
message /welcome.msg            login
message .message                cwd=*
log commands    guest,anonymous,real
compress        yes             all
tar             yes             all
chmod       no      guest,anonymous
delete      no      anonymous
overwrite   no      anonymous
rename      no      anonymous
path-filter guest,anonymous /etc/paths.msg ^[-A-Za-z0-9\._]*$ ^\. ^-
log transfers guest,anonymous,real inbound,outbound
shutdown /etc/shutmsg
passwd-check rfc822 warn

/etc/passwd:
guest1:M2xxPWEKegpWFQ:500:500:Linux User:/home/guest1/./pub:/bin/bash

/etc/group:
guest1::500:guest1

When I ftp in as guest1 and try to 'put' a file called foobar into his 
directory I get...

ftp> put foobar
200 PORT command successful.
421 Service not available, remote server has closed connection
ftp>

When I remove the 'path-filter' statement in ftpaccess it works fine.

What am I screwing up?

:-):-):-):-):-):-):-):-):-):-):-):-):-):-):-)
Greg Fischer           voice   (304) 794-0000
WeirNet, LLC.          fax     (304) 794-0001
http://www.weir.net    dial-up (304) 794-0002
:-):-):-):-):-):-):-):-):-):-):-):-):-):-):-)